Bug 1886435 - Azure UPI uses deprecated command 'group deployment'
Summary: Azure UPI uses deprecated command 'group deployment'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Etienne Simard
QA Contact: Mike Gahagan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-08 12:54 UTC by Scott Dodson
Modified: 2021-02-24 15:24 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Azure UPI install uses the command `azure group deployment`, which is deprecated. Consequence: Azure UPI install may fail to work in the future when the deprecated command is no longer supported. Fix: Replace the use of `azure group deployment` with `azure deployment group`. Result: Azure UPI install remains successful and no longer uses the deprecated command.
Clone Of:
Environment:
Last Closed: 2021-02-24 15:24:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 4366 0 None closed Bug 1886435: Fix azure UPI az group deployment deprecation 2021-02-15 20:10:00 UTC
Github openshift release pull 13531 0 None closed Bug 1886435: Fix azure UPI az group deployment deprecation 2021-02-15 20:10:00 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:24:29 UTC

Description Scott Dodson 2020-10-08 12:54:55 UTC
'group deployment' is deprecated and will be removed in the future, we should use 'deployment group'

From https://storage.googleapis.com/origin-ci-test/pr-logs/pull/openshift_installer/4253/pull-ci-openshift-installer-release-4.6-e2e-azure-upi/1314165245706506240/build-log.txt

Deploying 04_bootstrap
This command is implicitly deprecated because command group 'group deployment' is deprecated and will be removed in a future release. Use 'deployment group' instead.
ValidationError: Deployment failed. Correlation ID: fcdb0b7b-feac-4e15-8c1c-564f1fad9a15. {
  "status": "Failed",
  "error": {
    "code": "ResourceDeploymentFailure",
    "message": "The resource operation completed with terminal provisioning state 'Failed'.",
    "details": [
      {
        "code": "OSProvisioningTimedOut",
        "message": "OS Provisioning for VM 'ci-op-s59i27pd-673fd-4hkwb-bootstrap' did not finish in the allotted time. The VM may still finish provisioning successfully. Please check provisioning state later. Also, make sure the image has been properly prepared (generalized).\r\n * Instructions for Windows: https://azure.microsoft.com/documentation/articles/virtual-machines-windows-upload-image/ \r\n * Instructions for Linux: https://azure.microsoft.com/documentation/articles/virtual-machines-linux-capture-image/ \r\n * If you are deploying more than 20 Virtual Machines concurrently, consider moving your custom image to shared image gallery. Please refer to https://aka.ms/movetosig for the same."
      }
    ]
  }
}

Comment 1 Brenton Leanhardt 2020-11-02 18:46:04 UTC
Hi Etienne, Do you think you'll get to this bug in the current sprint?

Comment 2 Etienne Simard 2020-11-02 19:31:57 UTC
Yes, I will send a PR for both the Installer repo as well as the CI template in the release repo which is failing. I'll update this BZ with the links when it's ready.

Comment 7 errata-xmlrpc 2021-02-24 15:24:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.